/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2004 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.0 of the PHP license,       |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_0.txt.                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: Wez Furlong <wez@php.net>                                    |
  | Portions influenced by libevent, written by                          |
  |             Niels Provos <provos@citi.umich.edu>                     |
  +----------------------------------------------------------------------+
*/

/* $Id: php_event.h,v 1.2 2004/12/16 03:30:18 wez Exp $ */

#ifndef PHP_EVENT_H
#define PHP_EVENT_H

extern zend_module_entry event_module_entry;
#define phpext_event_ptr &event_module_entry

#ifdef PHP_WIN32
#define PHP_EVENT_API __declspec(dllexport)
#else
#define PHP_EVENT_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(event);
PHP_MSHUTDOWN_FUNCTION(event);
PHP_RINIT_FUNCTION(event);
PHP_RSHUTDOWN_FUNCTION(event);
PHP_MINFO_FUNCTION(event);

PHP_FUNCTION(event_init);
PHP_FUNCTION(event_have_events);
PHP_FUNCTION(event_dispatch);
PHP_FUNCTION(event_new);
PHP_FUNCTION(event_set);
PHP_FUNCTION(event_schedule);
PHP_FUNCTION(event_deschedule);
PHP_FUNCTION(event_free);
PHP_FUNCTION(event_priority_set);
PHP_FUNCTION(event_pending);
PHP_FUNCTION(event_handle_signal);
PHP_FUNCTION(event_timeout);

#endif	/* PHP_EVENT_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
